<!-- Layout has Header, and Two column body -->
<header>
	<!-- Navbar component -->
	<app-navbar></app-navbar>
</header>

<section class="body container-fluid">

	<div class="row">

		<div class="body-center col-lg-3 col-md-3 col-sm-6 col-6">
			<h2>📁 Default Folder</h2>
			<ul class="list-group list-group-flush">
				<li *ngFor="let folder of allFolders" class="list-group-item"  >
					<button (click)="openFolder($event); $event.stopPropagation();" type="button" class="btn btn-light btn-fw" [attr.data-folder]="folder">📁 {{folder}} <span class="badge badge-warning pull-right" >{{ getFileCount(folder) }} items</span></button>
					
				</li>
			</ul>
		</div>

		<div class="body-left col-lg-4 col-md-4 col-sm-6 col-6">
			<h2 *ngIf="openedFolder">📁 {{ openedFolder }} </h2>
			<ul class="list-group list-group-flush">
				<li *ngFor="let folder of openFolderContents" class="list-group-item" class="{{hasAnno(folder, folder[0])}}">
					<div *ngIf="isFile(folder)">
						<a href="{{getSyncthingPath(folder, folder[0])}}" target="_blank">
							{{ folder[0] }}
						</a>
						<button (click)="openViewer($event)" type="button" class="btn btn-outline-secondary btn-sm pull-right edit-btn" attr.data-url="{{getSyncthingPath(folder, folder[0])}}"></button>
					</div>
					<div *ngIf="!isFile(folder)">
						<span class="badge badge-light">📁 {{ folder[0] }}</span> <span class="badge badge-warning">{{ getSubfolders(folder[1]).length }} items</span> 
					</div>
					
					<div *ngIf="!isFile(folder)">
						<ul class="list-group list-group-flush" *ngFor="let sub of getSubfolders(folder[1])">
							<li class="list-group-item br-btm {{hasAnno(folder, sub)}}">

								<a href="{{getSyncthingPath(folder, sub)}}" target="_blank">
									{{ sub }}
								</a>
								<button (click)="openViewer($event)" type="button" class="btn btn-outline-secondary btn-sm pull-right edit-btn" attr.data-url="{{getSyncthingPath(folder, sub)}}"></button>
							</li>
						</ul>
					</div>
					
				</li>
			</ul>
		</div>


		<div class="body-right col-lg-5 col-md-5 col-sm-6 col-6">
			<div *ngIf="viewerState">
				<h2>Viewer</h2>

				<div class="annotator" >
					<button class="btn btn-primary btn-fw" (click)="openIngestForm($event)" *ngIf="!addingAnno"> Ingest </button>
					<button class="btn btn-primary btn-fw" (click)="openIngestForm($event)" *ngIf="addingAnno"> Hide Form</button>
					<app-ingest-form *ngIf="addingAnno" [contentUrl]="viewerUrl" [type]="viewerMediaType">
					</app-ingest-form>
				</div>
				<!-- switch viewer component based on mime -->
				<div class="video" *ngIf="viewerMediaType === 'mp4'">
				    <video controls (click)="toggleVideo($event)" #videoPlayer>
				        <source src="{{viewerUrl}}" type="video/mp4" />
				        Browser not supported
				    </video>
				</div>
				<div class="viewer-img" *ngIf="viewerMediaType === 'jpg'">
					<img class="img-responsive" src="{{viewerUrl}}">
				</div>
				<div class="viewer-img" *ngIf="viewerMediaType === 'ogg' || viewerMediaType === 'mp3'">
					<audio controls (click)="toggleVideo($event)" #videoPlayer>
					    <source src="{{viewerUrl}}" type="audio/mp3" />
					    Browser not supported
					</audio>
				</div>


				<div class="annotations">
					<button class="btn btn-secondary btn-fw" (click)="showAnnoContainer($event)">Annotations 
						<span class="badge badge-warning pull-right" >
							{{ lengthOfAnnosForTarget(viewerUrl) }}
						</span>
					</button>
					<div *ngIf="openAnnoContainer">
						<ul *ngFor="let anno of annotations" class="list-group list-group-flush">	
							<li class="list-group-item" *ngIf="anno.contentUrl === viewerUrl" >
								<div class="anno-card">
									
									<span class="badge badge-success">Name: {{ anno.name }}</span>
									<span class="badge badge-warning">Station: {{ anno.station_name }}</span>
								
									<span class="badge badge-primary">{{ anno.tags }}</span>
								
							
									
									<p>Description: {{ anno.description }}</p>
									<span class="badge badge-light">Date: {{ anno.created }}</span>
									
									
								</div>
							</li>	
						</ul>
					</div>
					
				</div>

			</div>
			
		</div>

	</div>

</section>

